# Class CRAMEncoderV3_0

java.lang.Object
htsjdk.beta.codecs.reads.cram.CRAMEncoder
htsjdk.beta.codecs.reads.cram.cramV3_0.CRAMEncoderV3_0

All Implemented Interfaces:
  `HtsEncoder<SAMFileHeader, SAMRecord>, ReadsEncoder, Closeable, AutoCloseable`

public class CRAMEncoderV3_0 extends CRAMEncoder
CRAM v3.0 encoder.

## Constructor Summary

Constructors
Constructor
Description
`CRAMEncoderV3_0(Bundle outputBundle, ReadsEncoderOptions readsEncoderOptions)`
Create a new CRAM CRAM v3.0 encoder for the given output bundle.

## Method Summary

Modifier and Type
Method
Description
`HtsVersion`
`getVersion()`
Get the version of the file format supported by this encoder.

### Methods inherited from class CRAMEncoder

`close, getCRAMReferenceSource, getDisplayName, getFileFormat, getOutputBundle, getReadsEncoderOptions, setHeader, write`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CRAMEncoderV3_0

public CRAMEncoderV3_0(Bundle outputBundle, ReadsEncoderOptions readsEncoderOptions)
Create a new CRAM CRAM v3.0 encoder for the given output bundle. The primary resource in the bundle must have content type `BundleResourceType.CT_ALIGNED_READS` (to find an encoder for a bundle, see `ReadsResolver`).

Parameters:
  `outputBundle` - output `Bundle` to encode
  `readsEncoderOptions` - `ReadsEncoderOptions` to use

## Method Details

### getVersion

public HtsVersion getVersion()
Description copied from interface: `HtsEncoder`
Get the version of the file format supported by this encoder.